using System;
using System.ComponentModel;
using System.Collections.Generic;
using System.Xml.Serialization;

namespace EQIA.EQIDL
{
    public partial class Screen : Control
    {
        private bool myStyle_Titlebar, myStyle_Closebox, myStyle_QMarkbox, myStyle_Minimizebox, myStyle_Sizable;
        private List<string> myPieces;

        [XmlElement("Style_Titlebar", IsNullable = false)]
        [Browsable(true), Description("Does this window have a Titlebar.")]
        public bool Style_Titlebar { get { return myStyle_Titlebar; } set { myStyle_Titlebar = value; } }

        [XmlElement("Style_Closebox", IsNullable = false)]
        [Browsable(true), Description("Does this window have a Closebox.")]
        public bool Style_Closebox { get { return myStyle_Closebox; } set { myStyle_Closebox = value; } }

        [XmlElement("Style_QMarkbox", IsNullable = false)]
        [Browsable(true), Description("Does this window have a help box.")]
        public bool Style_QMarkbox { get { return myStyle_QMarkbox; } set { myStyle_QMarkbox = value; } }

        [XmlElement("Style_Minimizebox", IsNullable = false)]
        [Browsable(true), Description("Does this window have a Minimizebox.")]
        public bool Style_Minimizebox { get { return myStyle_Minimizebox; } set { myStyle_Minimizebox = value; } }

        [XmlElement("Style_Sizable", IsNullable = false)]
        [Browsable(true), Description("Is this window user sizable.")]
        public bool Style_Sizable { get { return myStyle_Sizable; } set { myStyle_Sizable = value; } }

        [XmlElement("Pieces", IsNullable = false)]
        [Browsable(true), Description("Children controls")]
        public List<string> Pieces { get { return myPieces; } set { myPieces = value; } }

        public Screen() : this(null) { }
        public Screen(EQInterface eqInterface) : base(eqInterface) { }

        protected override void SetProperties(object obj)
        {
            base.SetProperties(obj);

            Screen temp_Screen = obj as Screen;
            if (temp_Screen != null)
            {
                Style_Titlebar = temp_Screen.Style_Titlebar;
                Style_Closebox = temp_Screen.Style_Closebox;
                Style_QMarkbox = temp_Screen.Style_QMarkbox;
                Style_Minimizebox = temp_Screen.Style_Minimizebox;
                Style_Sizable = temp_Screen.Style_Sizable;
                Pieces = temp_Screen.Pieces;
            }
        }
    }
}
